Блог ОС CloudLinux - бета-версия Node.js теперь доступна для DirectAdmin!
Блог CloudLinux OS

Beta Node.js Selector теперь доступен для DirectAdmin!

Beta Node.js Selector теперь доступен для DirectAdmin!

Я рад сообщить, что команда CloudLinux OS предоставила Node.js Selector для наших дорогих клиентов DirectAdmin, и теперь она доступна в нашей бета-версии.

Поскольку JavaScript стал одним из самых популярных языков программирования, все больше и больше клиентов требуют хостинг Node.js. С помощью CloudLinux Node.js Selector для DirectAdmin ваши клиенты теперь могут размещать свои приложения JavaScript, используя Node.js 6, 8 или 9.

Node.js Selector имеет дружественный интерфейс, который объединяет все функции в одном месте, что делает его очень удобным для управления.

В то время как селектор Node.js поддерживает версии Node.js, начиная с 6.x и заканчивая 9.x и более поздними версиями. Также вам нужно будет установить LVE Manager 4.0 (или более позднюю версию).

Следите за обновлениями, которые мы публикуем в социальных сетях, чтобы быть первыми, кто увидит последние новости об обновлениях Node.js Selector или любых других ценных улучшениях!

И наконец присоединяться наш веб-семинар Почему вы должны предлагать хостинг Node.js и как его развертывать в среду, май 23rd в 12 pm EST.

Мы рекомендуем вам помочь нам в бета-тестировании и установить эту функцию на своих серверах. Мы были бы чрезвычайно благодарны за предоставленную обратную связь! Пожалуйста, не стесняйтесь бросить Этот адрес электронной почты защищен от спам-ботов. Ботов, для его просмотра включен JavaScript..

Команда для обновления:

yum update cagefs lvemanager lve-utils alt-python27-cllib --enablerepo = cloudlinux-updates-testing

Список изменений:

альт-python27-cllib-1.4-8.1

  • PTCLLIB-117: переработан плагин DirectAdmin cpapi в соответствии с улучшениями DirectAdmin;
  • PTCLLIB-116: добавлен способ размонтировать каталог в cagefs.mp;
  • LU-735: добавлена ​​возможность использования дополнительных доменов в DirectAdmin для создания приложений Node.js;
  • LU-737: remount_proc.py теперь не игнорирует fs.proc_super_gid в файлах /etc/sysctl.d/*;
  • LU-732: фиксированные поддомены в перехвате для изменения основного домена.

cagefs-6.1-21

  • LU-726: добавлен git в CageFS для установки git-пакетов с использованием npm;
  • CAG-808: исключенные virtfs монтируются из CageFS.

LVE-Utils-3.0-12

  • LU-661: реализована блокировка для приложений Node.js;
  • LU-731: фиксированное обнаружение H-сферы;
  • LU-662: реализована блокировка для приложений Node.js;
  • LU-737: remount_proc.py теперь не игнорирует fs.proc_super_gid в файлах /etc/sysctl.d/*;
  • LU-693: команда «selectorctl --interpreter nodejs» теперь печатает «вместо этого используйте утилиту cloudlinux-selector»;
  • LVEMAN-1260: «--new-app-uri» теперь является необязательным при перемещении приложения только в новый домен.

lvemanager-4.0-15.1

  • LVEMAN-1272: исследуется и исправляется проблема, когда приложения Node.js становятся скрытыми после добавления пользователя в CageFS;
  • LU-746: добавлена ​​возможность изменять домены для приложения, даже если это псевдоним предыдущего домена;
  • WEB-997: размеры для ограничения EntryProcs теперь не используются;
  • WEB-991: фиксированные визуальные проблемы при всплывающих окнах и подсказки для вкладки Node.js в DirectAdmin;
  • WEB-993: исправлена ​​проблема с CSS для раскрывающегося списка «версия Node.js» в пользовательской части Node.js Selector;
  • LVEMAN-1281: /usr/share/lve-manager/cpanel/hooks/lve-manager_postupcp_hook.sh не разбивает dynamicui.conf сейчас;
  • WEB-992: функция фиксированного поиска на вкладке «Параметры» для возможности использования любых определенных символов в поисковой фразе;
  • WEB-988: доступ к плату реселлера для администратора DirectAdmin, введенный реселлером, ограничен;
  • WEB-928: созданный пользовательский интерфейс пользователя Node.js Selector для DirectAdmin (исправление);
  • LVEMAN-1256: запрещено указывать файл «package.json» в файле запуска приложения для Node.js Selector;
  • LVEMAN-1274: добавлена ​​возможность использования субдоменов в DirectAdmin для создания приложений Node.js;
  • LU-732: фиксированные поддомены в привязке для изменения основного домена;
  • LU-718: приложение теперь переходит в новый домен, когда домен переименовывается в DirectAdmin;
  • PTCLLIB-115: исправлено alt-python * postinstall scriptlet;
  • LU-726: добавлен git в CageFS для установки git-пакетов с использованием npm;
  • LVEMAN-1262: Python Selector: исправлена ​​ошибка «нет такой опции: --allow-all-external»;
  • LVEMAN-1241: cl-quota -YC cron job сбрасывает льготный период льготного предела;
  • WEB-937: исправлена ​​проблема с аккордеоном на вкладке «Параметры»;
  • WEB-849: реализована функция поиска на вкладке «Параметры»;
  • WEB-791: добавлена ​​возможность управлять ограничениями пользователей с «Текущее использование» в плагине реселлера;
  • WEB-965: исправлены проблемы при попытке создать новое приложение Node.js;
  • WEB-944: теперь невозможно запустить установку пакетов npm, нажав кнопку «Запустить NPM Install»;
  • WEB-945: улучшено поведение кнопки «Run NPM Install» для пользовательского интерфейса пользователя Node.js Selector;
  • LU-693: команда «selectorctl --interpreter nodejs» теперь печатает «вместо этого используйте утилиту cloudlinux-selector»;
  • WEB-949: фиксированное отображение сообщения об ошибке на вкладке Selector, когда CageFS еще не установлен;
  • WEB-956: адаптированная тестовая система для новой системы сборки (исправление);
  • WEB-966: исправлен скрипт «run js» с параметрами;
  • WEB-932: исправлено размещение сообщения об отключении для Node.js;
  • WEB-958: разрешен конфликт во время выполнения тестов Admin в параллельном потоке;
  • WEB-968: улучшенные тесты Node.js для обнаружения полной версии Node.js;
  • WEB-956: адаптированная тестовая система для новой системы сборки;
  • WEB-938: исправлено isuue, когда PHP Selector не работает под пользователем администратора в Plesk;
  • WEB-962: исправлено «Ошибка: контекст домена не инициализирован», пытаясь открыть LVE Manager, когда администратор зарегистрировался как реселлер на Plesk 17.8;
  • LVEMAN-1260: «--new-app-uri» теперь является необязательным при перемещении приложения только в новый домен;
  • WEB-930: страница «плагин недоступен» теперь отображается для пользователей в случае, если Node.js Selector отключен;
  • WEB-943: вкладка «Параметры» реселлера покрывается интеграционными тестами;
  • WEB-872: исправлена ​​проблема, когда поля ввода для MySQL Governor не скрываются / появляются при включении / выключении «Отслеживание пользователя с помощью MYSQL Governor»;
  • WEB-890: реализованы автотесты для вкладки «Текущее использование» реселлера;
  • WEB-911: измененный запрос на включение / выключение версии Node.js;
  • WEB-915: скорректированный текст в LVE Manager для конфигурации DB Governor;
  • WEB-920: удалены старые файлы плагина LVE Manager после обновления до версии SPA в DirectAdmin;
  • WEB-923: улучшен индикатор выполнения при запуске кеша для Node.js на вкладке «Параметры» в LVE Manager;
  • WEB-929: избавился от зависимости прототипа в Plesk для LVE Manager;
  • WEB-933: улучшено поведение раскрывающегося списка «Выбрать версию» на вкладке Node.js - интерфейс администратора;
  • WEB-939: фиксированные функциональные кнопки в формах для редактирования приложений Node.js;
  • WEB-936: улучшено редактирование приложения на стороне пользователя Node.js Selector;
  • WEB-934: улучшен переход от списка версий к списку приложений в админ-части Node.js Selector;
  • WEB-928: создан пользовательский интерфейс пользователя Node.js для DirectAdmin.
LVE Manager обновлен
Победитель нашего розыгрыша Interop объявлен ...

Комментарии

Нет комментариев на форуме. Будьте первым, чтобы оставить свой комментарий
Уже зарегистрирован? ВОЙТИ
гость
Суббота, 24 августа 2019

Защитный код изображение